
Foreman - Bug #16046

"Don't know how to build task 'webpack:compile'" running jenkins:integration task

08/10/2016 07:11 AM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee: Dominic Cleal   

Category: Tests   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3719

  

Description

Integration tests are failing to run on Jenkins as the webpack:compile rake task is being called from the integration test helper, but

doesn't exist.

+ bundle exec rake pkg:generate_source jenkins:unit jenkins:integration TESTOPTS=-v

rm -rf jenkins/reports/unit/

DEPRECATION WARNING: You are using the a deprecated processor interface #<Proc:0x0000000947bce8@/u

sr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/autoprefixer-rails-5.2.1.3/lib/autoprefix

er-rails/sprockets.rb:25>.

Please update your processor interface:

https://github.com/rails/sprockets/blob/master/guides/extending_sprockets.md#supporting-all-versio

ns-of-sprockets-in-processors

 (called from install at /usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/autoprefixer-r

ails-5.2.1.3/lib/autoprefixer-rails/sprockets.rb:25)

The Apipie cache is turned off. Enable it and run apipie:cache rake task to speed up API calls.

DEPRECATION WARNING: You are using the a deprecated processor interface #<Proc:0x0000000a387c28@/u

sr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/autoprefixer-rails-5.2.1.3/lib/autoprefix

er-rails/sprockets.rb:25>.

Please update your processor interface:

https://github.com/rails/sprockets/blob/master/guides/extending_sprockets.md#supporting-all-versio

ns-of-sprockets-in-processors

 (called from install at /usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/autoprefixer-r

ails-5.2.1.3/lib/autoprefixer-rails/sprockets.rb:25)

The Apipie cache is turned off. Enable it and run apipie:cache rake task to speed up API calls.

/usr/local/rvm/rubies/ruby-2.3.0/bin/ruby -I"lib:test" -I"/usr/local/rvm/gems/ruby-2.3.0@test_deve

lop_pr_core-1/gems/rake-11.2.2/lib" "/usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/ra

ke-11.2.2/lib/rake/rake_test_loader.rb" "test/lib/**/*_test.rb" -v --ci-reporter

-- execute("SET CONSTRAINTS ALL DEFERRED;")

   -> 0.0005s

  * DEFERRED: MenuItem::MenuItem#caption should be tested. 

  * DEFERRED: MenuItem::MenuItem#html_options should be tested. 

The Apipie cache is turned off. Enable it and run apipie:cache rake task to speed up API calls.

DEPRECATION WARNING: You are using the a deprecated processor interface #<Proc:0x00000002077bf8@/u

sr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/autoprefixer-rails-5.2.1.3/lib/autoprefix

er-rails/sprockets.rb:25>.

Please update your processor interface:

https://github.com/rails/sprockets/blob/master/guides/extending_sprockets.md#supporting-all-versio

ns-of-sprockets-in-processors

 (called from install at /usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/autoprefixer-r

ails-5.2.1.3/lib/autoprefixer-rails/sprockets.rb:25)

/usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/rake-11.2.2/lib/rake/task_manager.rb:71

:in `[]': Don't know how to build task 'webpack:compile' (see --tasks) (RuntimeError)

    from /usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/rake-11.2.2/lib/rake/task.rb:3

61:in `[]'

    from /var/lib/workspace/workspace/test_develop_pr_core@2/database/postgresql/label/fast/ruby/2

.3/test/integration_test_helper.rb:30:in `<top (required)>'
    from /usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/activesupport-4.2.6/lib/active

_support/dependencies.rb:274:in `require'

    from /usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/activesupport-4.2.6/lib/active

_support/dependencies.rb:274:in `block in require'

    from /usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/activesupport-4.2.6/lib/active

_support/dependencies.rb:240:in `load_dependency'

    from /usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/activesupport-4.2.6/lib/active

_support/dependencies.rb:274:in `require'

    from /var/lib/workspace/workspace/test_develop_pr_core@2/database/postgresql/label/fast/ruby/2

.3/test/lib/middleware/catch_json_parse_errors_test.rb:1:in `<top (required)>'

    from /usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/activesupport-4.2.6/lib/active

_support/dependencies.rb:274:in `require'

    from /usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/activesupport-4.2.6/lib/active

_support/dependencies.rb:274:in `block in require'

    from /usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/activesupport-4.2.6/lib/active

_support/dependencies.rb:240:in `load_dependency'

    from /usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/activesupport-4.2.6/lib/active

_support/dependencies.rb:274:in `require'

    from /usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/rake-11.2.2/lib/rake/rake_test

_loader.rb:10:in `block (2 levels) in <main>'

    from /usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/rake-11.2.2/lib/rake/rake_test

_loader.rb:9:in `each'

    from /usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/rake-11.2.2/lib/rake/rake_test

_loader.rb:9:in `block in <main>'

    from /usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/rake-11.2.2/lib/rake/rake_test

_loader.rb:4:in `select'

    from /usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/rake-11.2.2/lib/rake/rake_test

_loader.rb:4:in `<main>'

-- execute("SET CONSTRAINTS ALL DEFERRED;")

   -> 0.0004s

rake aborted!

Command failed with status (1): [ruby -I"lib:test" -I"/usr/local/rvm/gems/ruby-2.3.0@test_develop_

pr_core-1/gems/rake-11.2.2/lib" "/usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/rake-1

1.2.2/lib/rake/rake_test_loader.rb" "test/lib/**/*_test.rb" -v --ci-reporter]

/usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/gems/rake-11.2.2/exe/rake:27:in `<top (requi

red)>'

/usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/bin/ruby_executable_hooks:15:in `eval'

/usr/local/rvm/gems/ruby-2.3.0@test_develop_pr_core-1/bin/ruby_executable_hooks:15:in `<main>'

Tasks: TOP => jenkins:unit => test:lib

(See full trace by running task with --trace)

Run options: -v --ci-reporter --seed 22859

# Running:

ApplicationMailerTest#test_0003_foreman subject prefix is attached = 2.26 s = .

ApplicationMailerTest#test_0004_reply address evalulated at send time = 0.05 s = .

[...]

 This is reproducible when running rake jenkins:unit jenkins:integration.

Related issues:

Related to Foreman - Refactor #12364: Use NPM+Webpack to manage external asse... Closed 11/02/2015

Associated revisions

Revision 55de1d1c - 08/10/2016 10:49 AM - Dominic Cleal

fixes #16046 - run webpack:compile as pre-req to test rake tasks

The webpack:compile task is now run before all rake test tasks,

including jenkins:*. Except for jenkins:integration, a failure in

webpack:compile is issued as a warning as unit tests don't require

webpack assets to run.

Using webpack:compile from the task definitions avoids the need to load

tasks from railties in test helpers and keeps rake task dependencies

defined together.

History
#1 - 08/10/2016 07:11 AM - Dominic Cleal

- Related to Refactor #12364: Use NPM+Webpack to manage external assets (js, css, fonts) added

#2 - 08/10/2016 07:15 AM - Dominic Cleal

Looks like functional tests and some lib tests aren't running either (

http://ci.theforeman.org/job/test_develop/2304/database=postgresql,ruby=2.3,slave=fast/consoleText).

#3 - 08/10/2016 08:08 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#4 - 08/10/2016 09:46 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3719 added

#5 - 08/10/2016 11:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 55de1d1cab2a70f5f94f4218f5f845c6b5463277.
